Bug 153386 - devel/valgrind does not build/include man pages
Summary: devel/valgrind does not build/include man pages
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-23 01:50 UTC by Raphael Kubo da Costa
Modified: 2012-08-31 21:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa 2010-12-23 01:50:07 UTC
The tarball that devel/valgrind uses, contrary to the upstream one, does not seem to include pre-built man pages to be installed.

And if one tries to run 'gmake man-pages' in the docs/ directory, it errors out because the man page docbook xml paths are hardcoded to a path that does not exist on FreeBSD.

How-To-Repeat: Build devel/valgrind, try running 'man valgrind' afterwards.
Comment 1 Edwin Groothuis freebsd_committer 2010-12-23 01:50:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Thomas Abthorpe freebsd_committer 2011-11-05 04:12:35 UTC
Responsible Changed
From-To: stas->freebsd-ports-bugs

- back to the heap
Comment 3 Michael Scheidell freebsd_committer 2012-07-04 19:24:26 UTC
You didn't specify what version of valgrind.

Current version is 3.70_1.

Can you update your ports tree and try again?

Also, as for the paths, and patch to fix this (if it is still needed), 
can you produce a patch to fix it?
(This port has no maintainer anymore, old maintainer stas is MIA)

For assistance, you might join and send an email to the FreeBSD-ports 
mailing list.


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 4 Raphael Kubo da Costa freebsd_committer 2012-07-05 00:37:28 UTC
Michael Scheidell <scheidell@FreeBSD.org> writes:

> You didn't specify what version of valgrind.
>
> Current version is 3.70_1.
>
> Can you update your ports tree and try again?

It was the one in ports at the time I sent the PR (I don't remember
which one it was anymore). The problem persists, though.

> Also, as for the paths, and patch to fix this (if it is still needed),
> can you produce a patch to fix it?
> (This port has no maintainer anymore, old maintainer stas is MIA)

I'll add it to my TODO list :-)
Comment 5 Bryan Drewery freebsd_committer 2012-08-06 18:55:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 6 Bryan Drewery freebsd_committer 2012-08-24 01:46:11 UTC
State Changed
From-To: open->analyzed
Comment 7 Bryan Drewery freebsd_committer 2012-08-31 21:10:32 UTC
State Changed
From-To: analyzed->closed

Fixed
Comment 8 dfilter service freebsd_committer 2012-08-31 21:11:18 UTC
Author: bdrewery
Date: Fri Aug 31 20:11:03 2012
New Revision: 303444
URL: http://svn.freebsd.org/changeset/ports/303444

Log:
  - Add missing manpages for 3.7.0 [1]
  - Fix build with clang [2]
  - Fix plist issue
  - Remove Makefile header
  - Take maintainership
  
  PR:		ports/153386 [1]
  Reported by:	Raphael Kubo da Costa <kubito@gmail.com> [1]
  PR:		ports/169112 [2]
  Submitted by:	Lee Thomas <lee_thomas@aslantools.com> [2]
  Approved by:	eadler (mentor)

Added:
  head/devel/valgrind/files/
  head/devel/valgrind/files/patch-configure   (contents, props changed)
Modified:
  head/devel/valgrind/Makefile
  head/devel/valgrind/distinfo
  head/devel/valgrind/pkg-plist

Modified: head/devel/valgrind/Makefile
==============================================================================
--- head/devel/valgrind/Makefile	Fri Aug 31 18:56:12 2012	(r303443)
+++ head/devel/valgrind/Makefile	Fri Aug 31 20:11:03 2012	(r303444)
@@ -1,24 +1,29 @@
-# Ports collection makefile for:	valgrind
-# Date created:				April 19 2004
-# Whom:					Simon Barner <barner@gmx.de>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	valgrind
 PORTVERSION=	3.7.0
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	devel
-MASTER_SITES=	ftp://ftp.SpringDaemons.com/soft/
+MASTER_SITES=	ftp://ftp.SpringDaemons.com/soft/:dist \
+		http://mirror.shatow.net/freebsd/${PORTNAME}/:manpages
 DISTNAME=	${PORTNAME}-freebsd-${PORTVERSION}-3
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:dist \
+		${DISTNAME}-manpages${EXTRACT_SUFX}:manpages
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	bdrewery@FreeBSD.org
 COMMENT=	A (memory) debugging and profiling tool
 
 CONFLICTS=	valgrind-snapshot-[0-9]*
 
 ONLY_FOR_ARCHS=	i386 amd64
 
+MAN1=		callgrind_control.1 \
+		callgrind_annotate.1 \
+		valgrind.1 \
+		ms_print.1 \
+		cg_annotate.1
+
 OPTIONS_DEFINE=	MPI
 MPI_DESC=	Enable build of MPI wrappers
 
@@ -42,14 +47,11 @@ PLIST_SUB+=	MPI="@comment "
 .endif
 
 post-install:
+	(cd ${WRKDIR}/valgrind-manpages/ && ${COPYTREE_SHARE} \* ${MANPREFIX}/man/man1)
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.pre.mk>
 
-.if ${ARCH} == "i386"
-BROKEN=		leaves files behind on deinstallation
-.endif
-
 .if ${OSVERSION} < 700104
 IGNORE=	your FreeBSD version is not supported
 .endif

Modified: head/devel/valgrind/distinfo
==============================================================================
--- head/devel/valgrind/distinfo	Fri Aug 31 18:56:12 2012	(r303443)
+++ head/devel/valgrind/distinfo	Fri Aug 31 20:11:03 2012	(r303444)
@@ -1,2 +1,4 @@
 SHA256 (valgrind-freebsd-3.7.0-3.tar.bz2) = 0a11ebf01634f148b0be637a34d48420093dbe1c194b57f4ca948c1f3d556b21
 SIZE (valgrind-freebsd-3.7.0-3.tar.bz2) = 6069934
+SHA256 (valgrind-freebsd-3.7.0-3-manpages.tar.bz2) = a48c3e7e52349691a8dd176de623fc60721e296cadc79ae705963b31c988901d
+SIZE (valgrind-freebsd-3.7.0-3-manpages.tar.bz2) = 22639

Added: head/devel/valgrind/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/valgrind/files/patch-configure	Fri Aug 31 20:11:03 2012	(r303444)
@@ -0,0 +1,25 @@
+--- configure.orig	2012-08-06 13:05:25.000000000 -0500
++++ configure	2012-08-06 13:16:47.000000000 -0500
+@@ -5327,7 +5327,10 @@
+              | $SED 's/^[^(]*([^)]*)  *\([0-9.]*\).*$/\1/'`
+ 
+ is_clang="notclang"
+-if test "x`${CC} --version | head -n 1 | $SED 's/\(clang\) version.*/\1/'`" = "xclang" ; then
++if test "x`${CC} --version | head -n 1 | $SED 's/.*\(clang\) version.*/\1/'`" = "xclang" ; then
++   gcc_version=`${CC} --version \
++                | head -n 1 \
++                | $SED 's/^.*version \([0-9.]*\).*$/\1/'`
+    is_clang="clang"
+ fi
+ 
+@@ -5344,6 +5347,10 @@
+ 	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: ok (clang-${gcc_version})" >&5
+ $as_echo "ok (clang-${gcc_version})" >&6; }
+ 	;;
++     clang-3.*)
++	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: ok (clang-${gcc_version})" >&5
++$as_echo "ok (clang-${gcc_version})" >&6; }
++	;;
+      *)
+ 	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no (${gcc_version})" >&5
+ $as_echo "no (${gcc_version})" >&6; }

Modified: head/devel/valgrind/pkg-plist
==============================================================================
--- head/devel/valgrind/pkg-plist	Fri Aug 31 18:56:12 2012	(r303443)
+++ head/devel/valgrind/pkg-plist	Fri Aug 31 20:11:03 2012	(r303444)
@@ -105,8 +105,8 @@ lib/valgrind/64bit-linux.xml
 lib/valgrind/64bit-sse-valgrind-s1.xml
 lib/valgrind/64bit-sse-valgrind-s2.xml
 lib/valgrind/64bit-sse.xml
-%%AMD64%%lib/valgrind/amd64-coresse-valgrind.xml
-%%AMD64%%lib/valgrind/amd64-linux-valgrind.xml
+lib/valgrind/amd64-coresse-valgrind.xml
+lib/valgrind/amd64-linux-valgrind.xml
 lib/valgrind/arm-core-valgrind-s1.xml
 lib/valgrind/arm-core-valgrind-s2.xml
 lib/valgrind/arm-core.xml
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"